#{extends 'borderNG.html' /}
#{set 'titleHead'} &{'lelangpaket.daftar_paket'} #{/set}

<div class="container">
    #{paketTabMenu /}
    <div class="content tab-content">
        <div class="tab-pane active">
            <ol class="breadcrumb" style="background-color: #25B396 !important;">
                <li><a href="@{BerandaCtr.index()}">&{'lelangpaket.home'}</a></li>
                <li class="active">&{'lelangpaket.daftar_paket'}</li>
            </ol>
            #{if active_user.panitia }
                <form id="formFilter">
                    <table class="table table-condensed table-bordered">
                        <tr>
                            <th class="bg-warning" width="200">&{'lelangpaket.kepanitiaan'}</th>
                            <td>#{selectPanitia 'panitiaId', value:panitiaId, autoSubmit:true/}</td>
                        </tr>
                     </table>
                </form>
            #{/if}
            #{alert /}
	        #{if isAllowCreate }<a class="btn btn-success" href="@{controllers.devpartner.PaketDpCtr.rencana()}">&{'lelangpaket.buat_paket'}</a>#{/if}
            <br/><br/>
            <table class="table table-condensed " id="tblLelang">
                <thead>
                <tr>
                    <th width="20" nowrap>&{'lelangpaket.kode'}</th>
                    <th>&{'lelangpaket.nama_paket'}</th>
                    <th width="15%">&{'lelangpaket.status'}</th>
                    <th width="15%">&{'lelangpaket.tgl_buat'}</th>
                    <th width="25%">&{'lelangpaket.satuan_kerja'}</th>
                    <th width="40"> </th>
                </tr>
                </thead>
            </table>
            #{if isAllowCreate }
                <div class="bs-callout bs-callout-warning">
                    &{'lelangpaket.pembuatan_paket_tender'}
                </div>
            #{/if}
        </div>
    </div>
</div>
#{set 'css_custom' } 
<link href="#{assets '/bootstrap/css/bootstrap-datatables.min.css'/}" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datatables.min.js'/}"></script>
<script type="text/javascript">  
var editPaket  = #{jsRoute @devpartner.PaketDpCtr.edit(':id') /};
var viewLelang = #{jsRoute @devpartner.LelangDpCtr.view(':id') /};
var editLelang = #{jsRoute @devpartner.LelangDpCtr.edit(':id') /};
var hapusPaket = #{jsRoute @devpartner.PaketDpCtr.hapus(':id') /};
var viewTahap  = #{jsRoute @devpartner.JadwalDpCtr.tahap(':id') /};
var pengumuman = #{jsRoute @devpartner.LelangDpCtr.viewDraft(':id') /};
$(document).ready(function() {
    var table = $("#tblLelang").dataTable({
        language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        order: [[ 0, "desc"]],
        ajax: "${url.raw()}",
        columns: [{
            visible:false,
            render: function(data, type, row) {
                var paketId = row[0];
                var lelangId = row[5];
                var id = row[11] === 'true' ? lelangId : paketId;
                var paket = row[1];
                var lelangTipe = row[6];
                var action = '';
                var ulang = '';
                var evaluasiUlang = '';
                var penawaranUlang = '';
                var packageNameUrl = row[11] === 'true' ? viewLelang : editPaket;
                var status = row[2];

                if(row[8] === 'true') {
                    action = '<a href="'+editLelang.url({id:id})+'"><span class="label label-primary"><i class="fa fa-edit"></i> &{'paket.buat_tender'}</span></a>'
                }
                if ((status != 'Draft' && status != 'Tender Sudah Selesai') && row[12] === 'true') {
                    action += '&nbsp;<a href="'+viewLelang.url({id:lelangId})+'"><span class="label label-warning">&{'paket.lihat_tender'}</span></a>'
                }
                if (row[9] === 'true') {
                    action += '<a href="'+hapusPaket.url({id:paketId})+'" onclick="return confirm(\'&{'paket.hapus_paket_msg'}\');">' +
                            '<span class="label label-danger"><i class="fa fa-trash-o"></i> &{'paket.hapus_paket'}</span></a>'
                }
                if(Number(row[7]) > 1)
                    ulang = '&nbsp<span class="label label-warning">' + row[15] + '</span>';

                if(Number(row[13] > 1) && Number(row[14]) == 1) {
                    penawaranUlang = '<span class="label label-info">&{'paket.penawaran_ulang'}</span>';
                    evaluasiUlang = '<span class="label label-info">&{'paket.evaluasi_ulang'}</span>';
                } else if (Number(row[14]) == 1) {
                    penawaranUlang = '<span class="label label-info">&{'paket.penawaran_ulang'}</span>';
                } else if (Number(row[13] > 1)) {
                    evaluasiUlang = '<span class="label label-info">&{'paket.evaluasi_ulang'}</span>';
                }

                row[2] = '<a target="_blank" href="'+viewTahap.url({id:lelangId})+'">'+status+'</a>';
                row[5] = action;
                row[1] = '<a href="' + packageNameUrl.url({id: id}) + '">' + paket + '</a>&nbsp;' +
                        '<span class="label label-info">' + lelangTipe + '</span>' + '&nbsp;' + ulang + ' ' +
                        penawaranUlang + ' ' + evaluasiUlang;
                #{if active_user.panitia}
                    if(status == 'Draft') {
                        row[1] = '<a href="' + pengumuman.url({id: lelangId}) + '" target="_blank">' + paket + '</a>&nbsp;' +
                                '<span class="label label-info">' + lelangTipe + '</span>' + '&nbsp;' +
                                ulang + ' ' +
                                penawaranUlang + ' ' + evaluasiUlang;
                    }
                #{/if}
                return row[1];
            }}, null, null, null, null, {orderable:false}
        ],
    }).fnFilterOnReturn();
} );
</script>
#{/set}